CollatingOrderPreservingPartitioner (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.dht
Class CollatingOrderPreservingPartitioner

    java.lang.Object
      org.apache.cassandra.dht.AbstractByteOrderedPartitioner
          org.apache.cassandra.dht.CollatingOrderPreservingPartitioner

All Implemented Interfaces:
  IPartitioner<BytesToken>

    public class CollatingOrderPreservingPartitioner

extends AbstractByteOrderedPartitioner

Field Summary

Fields inherited from class org.apache.cassandra.dht.AbstractByteOrderedPartitioner
`BYTE_MASK, MINIMUM`

Constructor Summary
`CollatingOrderPreservingPartitioner()`

Method Summary
`java.util.Map<Token,java.lang.Float>` | `describeOwnership(java.util.List<Token> sortedTokens)` Calculate the deltas between tokens in the ring in order to compare relative sizes.
`BytesToken` | `getToken(java.nio.ByteBuffer key)`

Methods inherited from class org.apache.cassandra.dht.AbstractByteOrderedPartitioner
`convertFromDiskFormat, decorateKey, getMinimumToken, getRandomToken, getTokenFactory, midpoint, preservesOrder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollatingOrderPreservingPartitioner

    public CollatingOrderPreservingPartitioner()

Method Detail

### getToken

    public BytesToken getToken(java.nio.ByteBuffer key)

  Specified by:
    `getToken` in interface `IPartitioner<BytesToken>`
  Specified by:
    `getToken` in class `AbstractByteOrderedPartitioner`
  Returns:
    a Token that can be used to route a given key (This is NOT a method to create a Token from its string representation; for that, use TokenFactory.fromString.)

### describeOwnership

    public java.util.Map<Token,java.lang.Float> describeOwnership(java.util.List<Token> sortedTokens)

  Description copied from interface: `IPartitioner`
  Calculate the deltas between tokens in the ring in order to compare relative sizes.

  Specified by:
    `describeOwnership` in interface `IPartitioner<BytesToken>`
  Overrides:
    `describeOwnership` in class `AbstractByteOrderedPartitioner`
  Parameters:
    `sortedTokens` - a sorted List of Tokens
  Returns:
    the mapping from 'token' to 'percentage of the ring owned by that token'.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation